tunebite start

Tunebite – re-record media files legaly during play back

Tunebite is a Windows software product, which, once installed on the PC, fully automatically or manually records media files that are purchased online as the files are played back. It is completely legal to record and playback on a different reproducer of yours. Tunebite is technology-proof, does not bypass any digital copy protection and therefore conforms with all digital copy protection measures, provided that the user is legally entitled to listen to the music.

The follwing Overview shows the separate help sections and enables an easy access.

  1. General usage - a first overview.
  2. User interface - functionality and usage.
  3. Options - advanced settings.
  4. Frequently asked questions (FAQ) - known issues and solutions.

Get up-to-date information at the tunebite support website.

Hint: tunebite is able to re-record audio files (tunebite premium) or also to re-record audio and video files (tunebite platinum)!


Usage

General usage - a first overview

Installation and configuration

The installation proceeds automatically. Just follow the instructions of the tunebite installation wizard. During the installation process tunebite configures your sound- and video settings properly. All settings can be changed manually in the options menu options menu later on.

Hint: You can change all settings manually in the options menu.

General usage

To re-recode media files you just have to add the files by clicking on the corresponding button or by dragging and dropping the media files into the window. The selected files appear on the left side of the appliction window (1). You can start the recording process by clicking on the "GO"-Button. The finished files appear on the right side of the application window (2).

You can use tunebite as a always running background application that automatically detects and re-encodes each protected media file you listen to using Windows Media Player 9 (or later) or Apple iTunes 4 (or later). To enable this behaviour please go to "Options->Recording->Automatic recording" and check "Automatically intercept and record tracks that are played back in Windows Media Player and iTunes".

Alternatively you can perform batch re-encoding tasks from time to time. In this case add protected media files to list (either with the "add" skin buton or by drag-and-dropping files and folders on the "songs to record" list control) and then press the "GO!" button and wait until the tracks get re-encoded.Best usage: batch recording with high-speed digital dubbing enabled at maximum speed and normalization disabled is what we recommend!

The next page grants a deeper overview and description of the applications functionality and the user interface.

You are able to record media files either manually or automatically by just listening to them!


User interface

The user interface - functionality and usage

The user interface offers quick and intuitive handling as well as user friendly design and layout. It is logically splitted into three areas.

The left area of the application (1) contains an overview over all media files which have to be recoded as well as buttons for adding and removing these files. The middle area (2) offers quick access to the options menu, the tunebite help and the recode audio only option. In addition you can start your recoding process from here. Equivalent to the left area the right contains an overview over all recorded media files and the actual as-is state (3). Furthermore you can delete the files and access the folder in which they are saved from here.

Hint: If you are testing tunebite right at the moment you can buy tunebite by means of a button that appers at the top of the middle area. You can choose between tunebite premium (audio support) and tunebite platinum (audio+video support).

A more detailed description of the buttons...

Add media files to the list. You can choose either single files or complete folders. You are also able to access your user defined folders from here.
By clicking on this button you can remove files singly or all at once.
Opens the options or help menu.
Start the recoding process from here (requires at least one media file in list).
Check this box if you want to recode audio only.
Opens the predefined save folder.
Shows the progress of every recoded file.

The next page contains further information about the available options in the options menu.


Options

Options - advanced settings

By clicking on the options button in the middle area of the application you get full access to all available settings and options.

Sound card configuration and settings

There are two different ways to configure your sound card properly - it can be done either automatically oder manually.

  • Select the device and line that tunebite shall use to record from and then adjust the recording volume level. You can do this either automatically or manually:
    • To detect automatically, press the "Auto detect" button and wait a few seconds until the detection is done.
    • To detect manually follow the procedure bellow:
      1. Select recording device (from the "Sound card" drop-down box)
      2. Select input source (from the "Input"->"Source" drop-down box)
        If the sound card supports recording from the output wave signal you should take this input mixer, usually named "Stereo Mix" or "Wave Out Mix". If not you have to manually put a loopback cable from the Line-Out to the Line-In of your sound card and choose for the input mixer "Line In".
      3. Press the "Test tone" button and then adjust the recording volume (from the "Input" slider) until the input signal is in the yellow range.

  • Note that when the detection is over you have to make sure that the same sound card device is used by Windows Media Player and/or iTunes for playback:

    • To configure WMP go to "WMPlayer->Options->Devices->Speakers->Properties" and select the detected sound card as sound playback device.
    • To configure iTunes go to "Control Panel->Sounds and Audio Devices->Audio" and select the detected sound card as your default sound playback device.

    • High-Speed digital dubbing

    Tunebite can perform high-speed digital dubbing (accelerated digital recording). It installs a driver that is able to switch the player program to a faster playback mode (you can notice the slider of the player moving faster than normal). The maximum acceleration that works properly is automatically detected and depends on your hardware configuration and player program, on most systems it is 4x with WMP and 2x with iTunes. If there are problems with the quality of the recorded tracks (esp. tracks considerably longer than the original) you'll have to decrease the acceleration and try again.

    Please do not use other applications during the high-speed digital dubbing as it performs time critical processing.

    Audio file format

    Please choose your favourite file format depending on your planned usage of the audio files created by tunebite.
    OGG. If you plan to hear the audio files only on your computer, OGG is the file format with the best sound quality.
    MP3. If you plan to hear the audio files on multiple devices, MP3 is the file format with the best compatibility. If the MP3 file format is disabled you have to search the internet for the MP3 encoder "lame_enc.dll" with the button "Search for lame_enc.dll" . After you've found and downloaded it, you have to import the MP3 encoder "lame_enc.dll" by pressing the "Import lame_enc.dll" button.
    WMA. If you are a fan of Microsoft's encoding technologies and all your devices support the WMA file format, then choose WMA.

    You also can decide if your audio files are recorded with a constant or variable bit rate. A variable bit rate usually provides better quality but less compatibility.

    Attention! The usage of the "lame_enc.dll" codec requires to purchase a license.

    Video file format

    Please select how you want to use the video. This will change the size of the recorded video. Also it depends on your system performance.

    Choose optimized for pc for better quality or optimized for mobile devices for faster processing and lower system performance.

    You can choose between the following two formats:

    • WMV, the created videos can be watched on every Windows XP computer and on most portable media players. This video file format is free.
    • MPEG4, the created videos can be watched on much more portable media players, e.g., the iPod..

    Tunebite needs the 3ivx encoder to create MPEG4 files. 3ivx is a MPEG4 encoder from 3ivx Technologies.

    Please keep in mind that video capture is a very CPU intensive process. If you encounter any frame drops or further problems during the capturing process please modify your video settings to get better video output results. If necessary please tweak your settings as follows:

    1. Lower the video size (affects the size of the captured video) Choose Optimized for Mobile devices: tunebite will capture 50% of the original video size if the original size is larger than 320x240, otherwise it will capture 100% of the original size.

    2. Reduce the video speed (affects the video capturing speed) The lower the video capture speed, the lower the CPU usage during video conversion, and hence the smaller the probability of frame drops!

    Hint: Tunebite is not allowed to deliver a MPEG4 encoder in this version. You need either a license of "tunebite with MPEG4" or the 3ivx software installed. Experts can install the klite codec pack from http://www.codecguide.com to get the 3ivx encoder.

    Output Control

    Export the same track
    Important: two or more input files are considered to represent the same original track if having identical: file name, duration, artist, album and title.
    1. keep all recordings: duplicates are allowed
    2. keep all recordings that have different settings: duplicates that have different encoding parameters are allowed
    3. keep the last recording only: duplicates are not allowed, the last will be kept
    4. keep the best recording only: duplicates are not allowed, the best as defined by the quality settings will be kept
    When assessing the quality the following encoding settings are considered:
    1. encoder: MP3, OGG, WMA
    2. encoding type: CBR, VBR
    3. encoding bitrate: higher, lower
    4. recording: digital, analog
    Note that a encoding parameter can be simply ignored if the value "don't care" is selected.

    Normalization

    Normalization can be used to bring all recorded tracks to the save volume. Using 89dB will likely ensure that no clipping will occur. If the tracks do not sound loud enough you can increase the value. But if clipping does occur you will have to reduce the value. Also note the normalization is currently supported only for the mp3 and ogg.

    Ouput folder and file name

    All recorded tracks will be saved under the folder you specify and optionally artist and album sub-folders can be created. As regarding the file name, if not otherwise specified to create tag-based file names, the original track file name will be used

    Recording

    Automatic recording
    If automatic recording is enabled tunebite will intercept and record protected tracks as they are played back in Windows Media Player and iTunes. Hence no need to add the tracks to the tunebite's list of songs, just listen to them in your player and get them re-encoded.
    Batch recording
    By default tunebite deletes the list of already recorded songs when a new batch session is started. Check "[x] Don't delete recorded list after start of new job" to disable this behaviour. Tunebite can also control the volume level of the player programm in use. In most of the cases 100% of the player volume is what we need for not losing the loudness of the original tracks. However in some rare cases, depending on the loudness of the original track and the sound card in use, this might produce distorted output. If such cases it is strongly recommended that you lower the volume level of the player, e.g. you can use 50%. Alternatively, you can simply disable this behaviour and manually set the proper volume level dirrectly in Windows Media Player or iTunes.

    Preferences

    Language
    The language can be dinamically changed at run-time, at the moment English and German are available.
    Registration
    You can evaluate tunebite as long as you wish. But please be aware that the trial version copies only the first 30 seconds of each protected song you listen to. To remove this limitation buy a serial number from our webshop.

    Music download services

    In addition to the possibility to add files directly from the user interface, user defined folders can be specified as well. In particular with this option one can specify where the downloaded media files are saved and where tunebite can find them.

    It is also possible to specify if subdirectories are included and as well if files are always added or just in case they are new and copy protected.

    The following page contains the frenquently asked questions section.


FAQ

Frequently asked questions - known issues and solutions

Where can I find the latest FAQ?

You can always find the latest FAQ at: http://www.tunebite.com.

What is Tunebite?

Tunebite enables you to listen to your audio and video files wherever you want to.

Is Tunebite legal?

Yes. Tunebite does not bypass any copy protection. It re-records analogue audio signals.

Will the quality of the piece of media be lost?

The audible and video quality of the piece of media will not be lost. Tunebite uses .ogg or .lame with adjustable bit rates.

Which DRM systems does Tunebite work with?

At present, Tunebite works with Apple iTunes (.m4p, .m4b, .m4v), Window Media (.wma, .wmv) and Audible (.aa) protected files.

Do I need specific hardware?

No. Windows XP with at least 600 MHZ and a full duplex soundcard is enough. If the sound card can't record directly through Wave-Out, a loopback cable will be necessary (Line-Out to Line-In)

Can I use my PC while I’m recording?

Yes. However, this is not recommended, since high load peaks might result in dropouts in the piece of media. External applications might also introduce Wave-Out device signals, which will be audible in the song afterwards.

Does this mean that I don’t ever need to buy music or videos again?

No. Tunebite can only record pieces of media that are purchased legally and that you can then play back and re-record legally. The media files must still be purchased from online music shops.

Is Tunebite opposed to the music industry?

No. Tunebite is not opposed to the music industry. On the contrary: Tunebite supports the music industry by making online music offers even more attractive.